
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ubb代码转换为html_正则表达式 / iVAN</title>

    <meta name="description" content="ubb代码转换为html_正则表达式 记得以前贴过一个ubb代码转换为html格式的代码,前几天读ubb的源代码.所以有了这个新的版本.注意,这个版本可能还不能正常使用,详细见注. 这段代码将用户输入的ubb代码转化为html格式,注意,需要Script Engine 5.0的支持(使用了RegExp对象) 注:pattern中使用()将知道regexp记忆搜索到的值,$1是第一个(),其余类推.但$2的语法并不被5.0版本的vbscript.dll所支持,我检查了自己机器上的版本(安装过ie 5.5),发现vbscript.dll">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ubb代码转换为html_正则表达式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>记得以前贴过一个ubb代码转换为html格式的代码，前几天读ubb的源代码。所以有了这个新的版本。注意，这个版本可能还不能正常使用，详细见注。</p>
<p>这段代码将用户输入的ubb代码转化为html格式，注意，需要Script Engine 5.0的支持(使<br />用了RegExp对象)</p>
<p>注：pattern中使用()将知道regexp记忆搜索到的值，$1是第一个()，其余类推。但$2的<br />语法并不被5.0版本的vbscript.dll所支持，我检查了自己机器上的版本（安装过ie 5.5)，<br />发现vbscript.dll的版本为5.50.4629，最后修改日期为12月25日。该版本支持$1之类的语<br />法，这个简单的改进使regexp的功能逐渐与perl的正则表达式靠近</p>
<p>function UBBCode(strContent)</p>
<p>dim objRegExp<br />Set objRegExp=new RegExp<br />objRegExp.IgnoreCase =true<br />objRegExp.Global=True<br />'url<br />objRegExp.Pattern="(\[URL\])(http:\/\/\S+?)(\[\/URL\])"<br />strContent= objRegExp.Replace(strContent,"&lt;A HREF=""$2"" TARGET=_blank&gt;$2&lt;/A&gt;")<br />objRegExp.Pattern="(\[URL\])(\S+?)(\[\/URL\])"<br />strContent= objRegExp.Replace(strContent,"&lt;A HREF=""http://$2"" TARGET=_blank&gt;$2&lt;/A&gt;")</p>
<p>'email<br />objRegExp.Pattern="(\)(\S+\@\S+?)(\[\/EMAIL\])"<br />strContent= objRegExp.Replace(strContent,"&lt;A HREF=""mailto:$2""&gt;$2&lt;/A&gt;")</p>
<p>objRegExp.Pattern="(\[IMG\])(\S+?)(\[\/IMG\])"<br />strContent=objRegExp.Replace(strContent,"&lt;IMG SRC=""$2""&gt;")</p>
<p>objRegExp.Pattern="(\[QUOTE\])(.+?)(\[\/QUOTE\])"<br />strContent=objRegExp.Replace(strContent,"&lt;BLOCKQUOTE&gt;&lt;font size=1 <br />face=""Verdana, Arial""&gt;quote:&lt;/font&gt;&lt;HR&gt;$2&lt;HR&gt;&lt;/BLOCKQUOTE&gt;")</p>
<p>objRegExp.Pattern="(\[i\])(.+?)(\[\/i\])"<br />strContent=objRegExp.Replace(strContent,"&lt;i&gt;$2&lt;/i&gt;")</p>
<p>objRegExp.Pattern="(\[b\])(.+?)(\[\/b\])"<br />strContent=objRegExp.Replace(strContent,"&lt;b&gt;$2&lt;/b&gt;")<br />set objRegExp=Nothing<br />UBBCode=strContent</p>
<p>end function</p>
<p>原版的转化程序，摘自freeware版本的ubb论坛，可到 http://www.ultimatebb.com/ 下载(Perl CGI方式)</p>
<p>sub UBBCode {</p>
<p>my $ThePost = shift;<br />$ThePost =~ s/(\[URL\])(http:\/\/\S+?)(\[\/URL\])/ &lt;A HREF="$2" <br />TARGET=_blank&gt;$2&lt;\/A&gt; /isg;</p>
<p>$ThePost =~ s/(\[URL\])(\S+?)(\[\/URL\])/ &lt;A HREF="http:\/\/$2" <br />TARGET=_blank&gt;$2&lt;\/A&gt; /isg;</p>
<p>$ThePost =~ s/(\)(\S+\@\S+?)(\[\/EMAIL\])/ &lt;A <br />HREF="mailto:$2"&gt;$2&lt;\/A&gt; /isg;</p>
<p>if (($UBBImages eq "ON") &amp;&amp; ($OverrideImages ne "yes")) {<br />$ThePost =~ s/(\[IMG\])(\S+?)(\[\/IMG\])/ &lt;IMG SRC="$2"&gt; /isg;<br />}</p>
<p>$ThePost =~ s/(\[QUOTE\])(.+?)(\[\/QUOTE\])/ &lt;BLOCKQUOTE&gt;&lt;font size="1" <br />face="Verdana, Arial"&gt;quote:&lt;\/font&gt;&lt;HR&gt;$2&lt;HR&gt;&lt;\/BLOCKQUOTE&gt;/isg;</p>
<p>$ThePost =~ s/(\[i\])(.+?)(\[\/i\])/&lt;i&gt;$2&lt;\/i&gt;/isg;</p>
<p>$ThePost =~ s/(\[b\])(.+?)(\[\/b\])/&lt;b&gt;$2&lt;\/b&gt;/isg;</p>
<p>return ($ThePost);</p>
<p>}</p>
<p>学习Asp的同志，不要放弃对CGI的学习，特别是一些老外的CGI程序，看后对我们的asp编程会有很大的启发</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 02:18:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ubb%e4%bb%a3%e7%a0%81%e8%bd%ac%e6%8d%a2%e4%b8%bahtml/" title="ubb代码转换为html">ubb代码转换为html</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ubb代码转换为html_正则表达式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRLvoxz.html" rel="bookmark">论坛UBB代码 推荐&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;%dim param,smiles  'param是UBB标签完全可用的标记 param=full 则完全可用,否则不支持一些占位大的标签 smiles是禁止笑脸转换function UBBCode(content)dim n,i'on error resume nextset re=new regexpre.IgnoreCase=truere.global=true re.pattern=&quot;\[code\](\r\n)?([\s\S]+?)\[\/code\]&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMR6VeM.html" rel="bookmark">ASP中利用&OpenCurlyDoubleQuote;正则表达式&rdquo; 对象实现UBB代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ubb|对象|正则 上一次,我们谈到在ASP中如何利用&quot;正则表达式&quot;对象来实现各种数据的校验,文中描述了正则表达式对象的强大功能,接下来,我们来看看有关&quot;正则表达式&quot;对象的其他功能.当我们在网上冲浪的时候,尤其是浏览各类论坛的时候,经常会见到&quot;UBB代码&quot;这个词语.什么是UBB代码呢?UBB代码是HTML的一个变种http://www.alixixi.com/program/a/,是Ultimate Bulletin Board (国外一个BBS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8313M.html" rel="bookmark">实现UBB代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ubb 上一次,我们谈到在ASP中如何利用&quot;正则表达式&quot;对象来实现各种数据的校验,文中描述了正则表达式对象的强大功能,接下来,我们来看看有关&quot;正则表达式&quot;对象的其他功能.当我们在网上冲浪的时候,尤其是浏览各类论坛的时候,经常会见到&quot;UBB代码&quot;这个词语.什么是UBB代码呢?UBB代码是HTML的一个变种http://www.alixixi.com/program/a/,是Ultimate Bulletin Board (国外一个BBS程序,国内也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqgxxGz.html" rel="bookmark">将 html 转成 ubb代码的小脚本&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				只写了几个常用的标签,如果要添加其他标签,按照已有的正则照猫画虎(存储于剪切板的超文本和源文件有可能是不同的!!也就是说浏览器已经对原有 html 进行了规范化) 启用超文本粘贴转换 [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] 使用说明 在别的网页中选择HTML内容,比如有链接,或者颜色的拷贝.  点击运行代码按钮  直接点击转换  出来的就是论坛专用的 ubb 代码了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXgRlM.html" rel="bookmark">新增ubb代码对表格的支持</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ubb 看下面的表格:这是作者新增加的ubb代码对表格的支持效果.语法如下:程序代码:[ table]1|2[br]3|4[br]5|6[ /table]说明:1.&quot;[table]&quot;:表格头2.&quot;[/table]&quot;:表格尾3.&quot;|&quot;:表格间隔(默认居左)→转换为&quot;&lt;/td&gt;&lt;td&gt;&quot;4.&quot;[br]&quot;:表格换单元行→转换为&quot;&lt;/td&gt;&lt;/tr&gt;&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVn5Vkz.html" rel="bookmark">php实现过滤UBB代码的类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了php实现过滤UBB代码的类,涉及php正则表达式的操作技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php实现过滤UBB代码的类.分享给大家供大家参考.具体如下: PHP代码如下: 代码如下: class Day{ function ubb($Text) { /// UBB代码转换 //$Text=htmlspecialchars($Text); //$Text=ereg_replace(&quot;rn&quot;,&quot;&lt;br&gt;&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqEqLz.html" rel="bookmark">UBB代码的实现（ASP）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				此段代码部分是从网上其他资料里获得,然后我加以修改及完善,用了比较笨拙的办法replace(嘻嘻,自己还没掌握正则表达式)实现了UBB 代码,因为一直觉得这种方法是不是比较笨,所以不好意思贴出来,今天有网友用到,想对初学者也有价值,因而将源码全部公布出来,供参考,因为时间关系,没有任何注解,我会逐渐完善.该段ubb代码实现功能[B][/B] 加粗,替换为html标记&lt;b&gt;&lt;/b&gt; [I][/I] 斜体,替换为html标记&lt;i&gt;&lt;/i&gt; [U][/U] 加下划			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkXd3z.html" rel="bookmark">python实现html转ubb代码&lpar;html2ubb&rpar;&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这两天在用python写一个采集器,有个功能模块是html代码转换为ubb,网上貌似没有现成程序,就自己写了个函数,顺便锻炼下自己的正则. import re def Html2UBB(content): #以下是将html标签转为ubb标签 pattern = re.compile( '&lt;a href=\&quot;([sS]+?)\&quot;[^&gt;]*&gt;([sS]+?)&lt;/a&gt;',re.I) content = pattern.sub(r'[url=1]2[/url]'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2n8OM.html" rel="bookmark">HTML与UBB代码互相转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				请输入Html代码,转换为UBB: 点击转换为UBB   清空结果 对应UBB代码为: 请输入UBB,转换为Html: 点击转换为Html   清空结果 对应Html代码为:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEl2Jz.html" rel="bookmark" class="title">javascript实现文字图片上下滚动的具体实例</a>
					<div>
						这篇文章介绍了在JS中文字图片上下滚动的实现代码,需要的朋友可以参考一下   复制代码 代码如下: &lt;div style=&quot;border:#d3d3d3 1px solid;width ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6YwXb.html" rel="bookmark" class="title">php生成短网址的原理及代码</a>
					<div>
						原理: 1.将原网址做crc32校验,得到校验码. 2.使用sprintf('%u') 将校验码转为无符号数字. 3.对无符号数字进行求余62操作(大小写字母+数字等于62位),得到余数后映射到62个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ6vZM.html" rel="bookmark" class="title">用ASP和IIS设置目录安全</a>
					<div>
						iis|安全 引:最近我接到任务,要设计出一种方案,为 Web 站点提供文件夹安全访问. 这样做是出于以下想法,即一个用户可以进入该站点,并继而自动进入默认的文件夹,这个文件夹里列的是另一个页面的一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPyLlz.html" rel="bookmark" class="title">增加网站流量方法之ASP&period;NET弹出窗口技术</a>
					<div>
						asp.net|弹出窗口|流量 作为Microsoft的最新建立动态Web网站的工具,ASP.NET相对于ASP和JSP在改变原始的Web编程方式方面有了长足的长进.它的代码与页面分离技术(CodeB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zORYQp.html" rel="bookmark" class="title">解密百度快速排名&colon;黑帽手段刷排名</a>
					<div>
						最近在各大站长群.站长论坛中,一种叫做&quot;快速刷百度排名&quot;的广告很是泛滥.这些广告一般宣称提供类似&quot;3天上首页&quot;&quot;8小时前三&quot;等的服务,根据百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL7ARb.html" rel="bookmark" class="title">SCO UNIX系统root密码丢失的处理</a>
					<div>
						在重要的计算机应用领域中,UNIX系统起着主导作用.UNIX具有很强的可伸缩性.健壮性,完全支持Internet和良好的用户界面,是其它非UNIX系统无法做到和替代的.目前,UNIX覆盖了大多数银行. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwKxQz.html" rel="bookmark" class="title">Android蓝牙通信概述</a>
					<div>
						通常情况下,我们对蓝牙的操作主要有:开启和关闭蓝牙.搜索周边设备.能被周边设备所发现.获取配对设备.蓝牙设备间的数据传输. 1.打开蓝牙(当然首先要确保你的手机是有蓝牙设备的) 蓝牙设备主要分为两部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrA24p.html" rel="bookmark" class="title">jQuery获取URL参数的插件</a>
					<div>
						例如 当前你的URL是: http://www.warting.com/index.php?test=1&amp;kk=2 如果想获取test,则可以引入插件后, 用如下方法获取: var test  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxlGob.html" rel="bookmark" class="title">Word2003安全模式打开问题</a>
					<div>
						今天给大家介绍下常见&quot;Word安全模式&quot;问题.是否正打开计算机准备打开Word工作时,却突然进入了&quot;安全模式&quot;,真是太奇怪了,明明只是启动Word2003,为什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo734Bb.html" rel="bookmark" class="title">Photoshop制作梦境蒙太奇效果图（二）</a>
					<div>
						  接下来,要在大象身体下,添加些阴影,这样能画面就更加真实.点击下水图层,接着点击图层调版下建立新图层按钮,建立一个新图层.将这个图层命名为大象倒影.将前景色设置为黑色,选择画笔工具,给大象能画一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYr20M.html" rel="bookmark" class="title">笔记本和投影仪之间如何切换</a>
					<div>
						  一.Intel显卡控制台 1.外接屏幕(投影仪)连接笔记本; 2.右击桌面选择屏幕分辨率; 3.选择高级设置; 4.选择英特尔核心显卡控制面板; 5.点击图形属性; 6.选择显示; 7.点击下拉菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlnOkb.html" rel="bookmark" class="title">python爬虫-importError&colon;No module named djangoitem</a>
					<div>
						问题描述 importError:No module named djangoitem 我用scrapy+django写爬虫时,按照官方文档在scrapy中创建scrapyitem时,报错.哪位大神能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQrrmz.html" rel="bookmark" class="title">android studio-Failed to sync Gradle project</a>
					<div>
						问题描述 Failed to sync Gradle project 5C 如图所示 解决方案 怎么看提示是空间不够了,点击蓝色文字,设置一下相关的信息 解决方案二: 打开是两个英语网页,解释错误 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3lAdz.html" rel="bookmark" class="title">邮件-  这个用java怎么写  谁有相同的代码</a>
					<div>
						问题描述 这个用java怎么写 谁有相同的代码 用户发送邮件可以再服务器接收到它 解决方案 用Swing设计界面,邮件发送用java.mail包 解决方案二: 谁有 java 俄罗斯方块代码啊 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAAowp.html" rel="bookmark" class="title">性能优化-Android在这种情况下应不应该使用枚举</a>
					<div>
						问题描述 Android在这种情况下应不应该使用枚举 问题背景:我们假设这样一种需求,需要在程序运行中,根据不同的网络请求错误显示不同的错误码(errorCode),有的时候还要把错误信息(error ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE0xOM.html" rel="bookmark" class="title">亲情购物消费成为一个巨大的市场亮点</a>
					<div>
						端午是和春节.中秋并列的家庭团聚日,这对众多商家而言这意味着不小的商机,尤其是亲情购物消费成为一个巨大的市场亮点. &quot;与春节七天长假相比,还是有很多人无法在端午假期回家团聚,尤其是在城市工作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgvLob.html" rel="bookmark" class="title">如何处理仍未解决的MongoDB安全问题？</a>
					<div>
						有关MongoDB尚未解决的安全隐患是什么?在补丁可用之前,企业可以采取哪些措施以缓解这些威胁? Matthew Pascucci:最近,网上有关MongoDB配置错误的攻击正在加剧.攻击者删除原始数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX4xvz.html" rel="bookmark" class="title">《经济半小时》曝光当当网亚马逊销售假冒进口化妆品，当当逻辑略土匪</a>
					<div>
						3月19日,央视&lt;经济半小时&gt;曝光当当网和亚马逊销售假冒进口化妆品后,有关网购化妆品的安全性问题再度成为消费者担心的话题.昨日,卷入其中的多个电商纷纷发布声明,强调自身对入驻商家有严格的资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx05dRM.html" rel="bookmark" class="title">反编译-android proguard混淆时，不出错，但是网络请求加载的数据不出来，我用的是volley</a>
					<div>
						问题描述 android proguard混淆时,不出错,但是网络请求加载的数据不出来,我用的是volley 我反编译代码看是请求的方法被拆分成了好几个类,可能是这个问题么?但是不知道怎么解决,感激不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M126RKp.html" rel="bookmark" class="title">FTP函数库：ftp&lowbar;chdir</a>
					<div>
						ftp_chdir (PHP3 &gt;= 3.0.13 , PHP4 &gt;= 4.0b4) ftp_chdir ---&amp;http://www.aliyun.com/zixun/aggre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7xdkz.html" rel="bookmark" class="title">甲骨文新SPARC T4服务器提供创世界纪录的性能</a>
					<div>
						甲骨文宣布推出新一代SPARC T4 服务器,该服务器在Oracle SPARC处理器历史上实现了换代性能的最大提升. Oracle SPARC T4 服务器与 Oracle Solaris 一起提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60X5Yz.html" rel="bookmark" class="title">未来，电子商务将成为新一轮经济增长的有效途径</a>
					<div>
						摘要: 本土风险投资曾在去年初宣称未来三年基本不投互联网产业,但在金融危机后却发生大逆转.日前,以企业官方网站为核心的B2B电子商务平台66网宣布已完成首轮千万融资,这是后金融 本土风险投资曾在去年初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr22EvM.html" rel="bookmark" class="title">JQuery中操作Css样式的方法&lowbar;jquery</a>
					<div>
						复制代码 代码如下: //1.获取和设置样式 $(&quot;#tow&quot;).attr(&quot;class&quot;)获取ID为tow的class属性 $(&quot;#two&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk6E6p.html" rel="bookmark" class="title">利用smarty实现html静态化程序代码</a>
					<div>
						smarty中有一个获取模板页内容方法fetch(), 它的声明原形是这样的 例1  代码如下 复制代码 &lt;?php    $smarty = new Smarty();   //其它模板替换语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8K08p.html" rel="bookmark" class="title">c&num; wpf中怎么为动态创造的listviewitem节点创建鼠标点击事件？</a>
					<div>
						问题描述 c# wpf中怎么为动态创造的listviewitem节点创建鼠标点击事件? b.MouseDoubleClick += new MouseButtonEventHandler(delega ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdN8Gz.html" rel="bookmark" class="title">个性化移动旅游指南Triposo获350万美元融资</a>
					<div>
						7月4日消息,据国外媒体报道,近日Triposo宣布在新一轮融资中获得350万美元的投资,Triposo为用户提供基于搜索排名技术的个性化旅行指南.本轮融资的主要投资人是InterWest Partn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn447kb.html" rel="bookmark" class="title">苹果明年或推出&OpenCurlyDoubleQuote;低价&rdquo;第三代iPad mini</a>
					<div>
						硅谷网讯 据国外媒体报道,凯基证券(KGI Securities)分析师 郭明池(Ming-Chi Kuo)称,苹果明年将推出&quot;低价&quot;iMac台式一体机以及第三代iPad mini ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyD0OM.html" rel="bookmark" class="title">linux rpm 卸载，简单说明</a>
					<div>
						平时linux卸载文件总是遇到卸载不干净,各种依赖什么的,今天又是搞这玩意,就记录下一个比较常规的方法. 一.查询包括某关键字的软件(这里以卸载openoffice为例) 查询包括office的软件  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8G7rBM.html" rel="bookmark" class="title">富士康的四大客户，开始调查富士康对一系列企业员工自杀事件的应对措施</a>
					<div>
						富士康的四大客户苹果.惠普.诺基亚和戴尔昨天纷纷表示,开始调查富士康对一系列企业员工自杀事件的应对措施.IT巨头都制定有相应的&quot;供应商行为准则&quot;,要求供应商承担社会责任,为员工提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1d36M.html" rel="bookmark" class="title">gitlab&colon;当触发&OpenCurlyDoubleQuote;Build Events&rdquo;，webhooks发送的json数据格式</a>
					<div>
						问题描述 gitlab:当触发&quot;Build Events&quot;,webhooks发送的json数据格式 我自己用.net写了一个webapi,专门用来接收gitlab webhooks ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
